**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/update-sandbox-snapshot

# Update Sandbox Snapshot

Recreate a sandbox snapshot for the same source sandbox Vault. This request replaces the existing snapshot with the newly created one. Learn more about [updating snapshots in Vault Help](https://platform.veevavault.help/en/lr/535936).

<Endpoint path="/api/{version}/objects/sandbox/snapshot/{api_name}/actions/update" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `api_name` | The API name of the snapshot. Obtain this from the [Retrieve Sandbox Snapshots](/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/snapshot/veepharm_snapshot__c/actions/update
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus": "SUCCESS",
   "job_id": 165949,
   "url": "/api/v22.3/services/jobs/165949"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the snapshot update request. |
| `url` | URL to retrieve the current status of the snapshot update request. |
</FieldTable>

---

**Previous:** [Delete Sandbox Snapshot](/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/delete-sandbox-snapshot)  
**Next:** [Upgrade Sandbox Snapshot](/safety/vault-api/api-reference/25.3/sandbox-vaults/sandbox-snapshots/upgrade-sandbox-snapshot)